Skip to main content
`Ctrl`+`K`

# TSDiscGradGetType

Checks for which discrete gradient to use in formulation for `TSDISCGRAD`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSDiscGradGetType(TS ts, TSDGType *dgtype)

Not Collective

## Input Parameter

- ts - timestepping context

## Output Parameter

- dgtype - Discrete gradient type <none, gonzalez, average>

## See Also

TS: Scalable ODE and DAE Solvers, `TSDISCGRAD`, `TSDiscGradSetType()`

## Level

advanced

## Location

src/ts/impls/implicit/discgrad/tsdiscgrad.c

## Implementations

TSDiscGradGetType_DiscGrad() in src/ts/impls/implicit/discgrad/tsdiscgrad.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages